Bug 1129684 - Could not import a VM from export domain with raw sparse disks to a block storage domain
Summary: Could not import a VM from export domain with raw sparse disks to a block sto...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-core
Version: 3.5
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.5.0
Assignee: Tal Nisan
QA Contact: Ori Gofen
URL:
Whiteboard: storage
Depends On:
Blocks: 1130761 1130765
TreeView+ depends on / blocked
 
Reported: 2014-08-13 13:10 UTC by Tal Nisan
Modified: 2016-02-10 17:54 UTC (History)
7 users (show)

Fixed In Version: ovirt-3.5.0_rc1.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1130761 (view as bug list)
Environment:
Last Closed: 2014-10-17 12:33:49 UTC
oVirt Team: Storage


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 31522 master MERGED core: Remove volume & format check on import VM command Never
oVirt gerrit 31524 ovirt-engine-3.5 MERGED core: Remove volume & format check on import VM command Never

Description Tal Nisan 2014-08-13 13:10:28 UTC
Description of problem:
When trying to import a VM that contains a raw sparse disk(s) to a block domain via webadmin the operation fails

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. Create a VM with a single thin provision disk on an NFS domain
2. Export the VM to an export domain
3. Import the VM while selecting a block domain as the target domain for disk in the disks sub tab

Actual results:
Operation fails with an error:
Vm1:
Cannot import VM. Disk configuration (RAW Sparse) is incompatible with the storage domain type.

Expected results:
VM will be imported correctly to the domain

Additional info:

Comment 1 Ori Gofen 2014-09-02 16:05:26 UTC
verified on rc1.1
** note **
the imported vm contains a cow sparse disk that is actually a preallocated disk

Comment 2 Sandro Bonazzola 2014-10-17 12:33:49 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.